* {
	box-sizing: border-box;
}

body {
	/* background: #d3f7ff; */
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	font-family: 'Montserrat', Outfit;
	height: 100vh;
	margin: -20px 0 20px;
	/* background: #d3f7ff; */
	background: linear-gradient(-90deg, #d3f7ff, #0c2346);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;
    height: 100vh;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}


.Ellipse-13 {
    position: fixed;
    object-fit: contain;
	width: 40%;
	height: 40%;
    right: 71%;
    bottom: 0;
}

  .Polygon-7 {
    position: fixed;
    top: 0;
	width: 40%;
	height: 40%;
    left: 69%;
}

h1 {
	font-weight: bold;
	margin: 1%;
    font-size: 50px;
}

h2 {
	text-align: center;
}

p {
	font-size: 17px;
	line-height: 2px;
	letter-spacing: 0.5px;
	margin: 5px 0 1px;
    color: black;
}

p.sign {
    color: white;
}

p.up {
    color: #3d97b4;
    margin-top: 3%;
    font-size: 12px;
}

span {
	font-size: 12px;
}

a {
	color: #3d97b4;
	font-size: 12px;
	text-decoration: none;
	margin: 15px 0;
}

button {
	border-radius: 8px;
	border: 1px solid #f7c889;
	background-color: #f7c889;
	color: #FFFFFF;
	font-size: 24px;
	font-weight: bold;
	padding: 12px 45px;
	letter-spacing: 1px;
	text-transform: uppercase;
	transition: transform 80ms ease-in;
    width: 100%;
}

button.in {
    border: 1px solid #359bbb;
	background-color: #359bbb;
}

button:active {
	transform: scale(0.95);
}

button:focus {
	outline: none;
}

button.ghostin {
	background-color: transparent;
	border: transparent;
    font-size: 30px;
    color: #359bbb;
}

button.ghostup {
	background-color: transparent;
	border: transparent;
    font-size: 30px;
    color: #f7c889;
}

form {
	background-color: #FFFFFF;
	display: flex;
	align-items: center;
	flex-direction: column;
	padding: 0 50px;
	height: 100%;
	text-align: center;
}

input {
	background-color: transparent;
	border: none;
    border-bottom: 2px solid rgba(0,0,0,0.5);
	padding: 12px 15px;
	margin: 8px 0;
	width: 100%;
}
input:focus {
    outline: none;
}

.container {
	background-color: #fff;
	border-radius: 8px;
  	box-shadow: 0 14px 28px rgba(0,0,0,0.25),
			0 10px 10px rgba(0,0,0,0.22);
	position: relative;
	overflow: hidden;
	width: 65%;
	height: 80%;
}

.form-container {
	position: absolute;
	height: 100%;
	transition: all 0.6s ease-in-out;
    top: 10%;
}

.sign-up-container {
	left: 0;
	width: 50%;
	z-index: 2;
}

.container.right-panel-active .sign-up-container {
	transform: translateX(100%);
}

.sign-in-container {
	left: 0;
	width: 50%;
	opacity: 0;
	z-index: 1;
}

.container.right-panel-active .sign-in-container {
	transform: translateX(100%);
	opacity: 1;
	z-index: 5;
	animation: show 0.6s;
}

@keyframes show {
	0%, 49.99% {
		opacity: 0;
		z-index: 1;
	}

	50%, 100% {
		opacity: 1;
		z-index: 5;
	}
}

.overlay-container {
	position: absolute;
	top: 0;
	left: 50%;
	width: 50%;
	height: 100%;
	overflow: hidden;
	transition: transform 0.6s ease-in-out;
	z-index: 100;
}

.container.right-panel-active .overlay-container{
	transform: translateX(-100%);
}

.overlay {
	background: #d3f7ff;
	/* background: -webkit-linear-gradient(to right, #0c2346, #d3f7ff); */
	background: linear-gradient(to right, #0c2346, #d3f7ff);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: 0 0;
	color: #FFFFFF;
	position: relative;
	left: -100%;
	height: 100%;
	width: 200%;
  	transform: translateX(0);
	transition: transform 0.6s ease-in-out;
}

.container.right-panel-active .overlay {
  	transform: translateX(50%);
}

.overlay-panel {
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	padding: 0 40px;
	text-align: center;
	top: 0;
	height: 100%;
	width: 50%;
	transform: translateX(0);
	transition: transform 0.6s ease-in-out;
}

.overlay-left {
	transform: translateX(-20%);

}

.container.right-panel-active .overlay-left {
	transform: translateX(0);
}

.overlay-right {
	right: 0;
	transform: translateX(0);
}

.casazi {
    width: 100%;
    height: 100%;
    object-fit: contain;
    position: absolute;
    bottom: 6%;
}

.casanoapte {
    width: 100%;
    height: 100%;
    object-fit: contain;
    position: absolute;
    bottom: 6%;
}

.logo {
    position: absolute;
    width: 10.7%;
    height: 5.7%;
    left: 2%;
    top: 1%;
    object-fit: contain;
}

.bottom-right {
    position: absolute;
    bottom: 5%;
}

.bottom-left {
    position: absolute;
    bottom: 5%;
}

.container.right-panel-active .overlay-right {
	transform: translateX(20%);
}


